Subject: bug#39281: gdm doesn't start

From: sirgazil <[email-masked]>
Date: Mon, 27 Jan 2020 14:54:43 -0500

---- On Mon, 27 Jan 2020 14:08:44 -0500 Jack Hill <[email-masked]> wrote ----
 > On Mon, 27 Jan 2020, Raghav Gururajan wrote:
 > 
 > >> so I removed gnome-initial-setup from the propagated-inputs with the following patch, and, indeed,
 > >> that resolved the problem with gdm on my system.
 > >
 > > That's strange. Both our system share similar configuration. But for me 
 > > gdm works fine with gnome-initial-setup being present. This is 
 > > confusing.
 > 
 > Indeed, my system does have a really slow disk, so it would not surprise 
 > me if that contributed to it. Of course that shouldn't matter, but that's 
 > the only thing I can think it. It would be nice to hear if sirgazil can 
 > reproduce the fix since I think they were having the same problem on their 
 > computer.

Was the patch already applied? Because I just pulled, reconfigured and I have the same problem: After a message like this

Jan 27 14:24:57 localhost dbus-daemon[446]: [system] Failed to activate service 'org.freedesktop.Accounts': timed out (service_start_timeout=25000ms)

I only see a flashing caret that makes me think something is going to happen next, but after waiting for more than five minutes, nothing happens. If I go to TTY2, for example, I can log in and "sudo herd restart xorg-server"; then, after a few seconds, GDM is ready in TTY7, and I can log in to the desktop.

For what is worth, my computer has a HDD. I also see this message in /var/log/debug:

Jan 27 14:24:57 localhost gdm: Failed to contact accountsservice: Error calling StartServiceByName for org.freedesktop.Accounts: Timeout was reached 

My current Guix:

$ LANG=C guix describe
Generation 11	Jan 27 2020 14:18:01	(current)
  guix fcb510c
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: fcb510c541e83291ea6682cba87020a913c64914